Uploaded image for project: 'Ambari'
  1. Ambari
  2. AMBARI-20449

Upgrade pre-checks screen does not show CONFIG_MERGE warning

Log workAgile BoardRank to TopRank to BottomAttach filesAttach ScreenshotBulk Copy AttachmentsBulk Move AttachmentsVotersWatch issueWatchersCreate sub-taskConvert to sub-taskLinkCloneLabelsUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Blocker
    • Resolution: Fixed
    • 2.5.0
    • 2.5.0
    • ambari-web
    • None

    Description

      STR

      1. Deploy HDP-2.5.3 cluster with Ambari-2.5.0.1
      2. Register HDP-2.6 version and install the bits
      3. Click on Upgrade and click on Warning hyperlink for EU

      Result:
      Shows 2 warnings for EU. Click on the Warning and it shows "only one warning" and the warning for CONFIG_MERGE pre-check does not show up
      (see attachments)
      From the output of pre-checks API call, I do see two warning for Config Merge as below:

            "href" : "http://172.22.81.58:8080/api/v1/clusters/cl1/rolling_upgrades_check/CONFIG_MERGE",
            "UpgradeChecks" : {
              "check" : "Configuration Merge Check",
              "check_type" : "CLUSTER",
              "cluster_name" : "cl1",
              "failed_detail" : [
                {
                  "type" : "topology",
                  "property" : "content",
                  "current" : "<topology>\n\n            <gateway>\n\n                <provider>\n                    <role>authentication</role>\n                    <name>ShiroProvider</name>\n                    <enabled>true</enabled>\n                    <param>\n                        <name>sessionTimeout</name>\n                        <value>30</value>\n                    </param>\n                    <param>\n                        <name>main.ldapRealm</name>\n                        <value>org.apache.hadoop.gateway.shirorealm.KnoxLdapRealm</value>\n                    </param>\n                    <param>\n                        <name>main.ldapRealm.userDnTemplate</name>\n                        <value>uid=
              "id" : "CONFIG_MERGE",
              "reason" : "The following config types will have values overwritten: hive-interactive-env, topology, hadoop-env",
              "repository_version" : "2.6.0.2-24",
              "status" : "WARNING",
              "upgrade_type" : "NON_ROLLING"
            }
          }
      
      
          "id" : "HEALTH",
              "reason" : "The following issues have been detected on this cluster and should be addressed before upgrading: CRITICAL: NameNode Last Checkpoint: nats11-46-tups-erm16tofnsecha-s11-5.openstacklocal\nCRITICAL: NameNode Last Checkpoint: nats11-46-tups-erm16tofnsecha-s11-1",
              "repository_version" : "2.6.0.2-24",
              "status" : "WARNING",
              "upgrade_type" : "NON_ROLLING"
      

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            atkach Andrii Tkach Assign to me
            atkach Andrii Tkach
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment